function writeCSS(selObj, saveObj, unit){
    var count = 0;
    for(var i=0; i<selObj.length; i++){
        var rect = selObj[i].geometricBounds;
        var x1 = Math.floor(rect[0]);
        var y1 = Math.floor(-rect[1]);
        var x2 = Math.floor(rect[2]);
        var y2 = Math.floor(-rect[3]);
        var lineWidth = selObj[i].strokeWidth;
        if (!lineWidth){    // 線がない場合は0にする
            lineWidth = 0;
        }
        var lineColor = selObj[i].strokeColor;
        var R = G = B = 0;
        if (lineColor){
            R = Math.floor(lineColor.red);
            G = Math.floor(lineColor.green);
            B = Math.floor(lineColor.blue);
        }
        var fillText = "";
        if (selObj[i].filled){  // 塗り潰されている場合
            var fillColor = selObj[i].fillColor;
            var fR = Math.floor(fillColor.red);
            var fG = Math.floor(fillColor.green);
            var fB = Math.floor(fillColor.blue);
            fillText = "background-color: rgb("+fR+","+fG+","+fB+");";
        }
        var name = selObj[i].contents;
        if (!name){
            name = "#item"+count;
            count++;
        }
        var w = x2 - x1;
        var h = y2 - y1;
        saveObj.writeln(name+" { top : "+y1+unit+"; left : "
                +x1+unit+"; width : "+w+unit+"; height : "+h+unit
                +"; position: absolute; border: "+lineWidth+unit+" solid rgb("
                +R+","+G+","+B+"); "+fillText+"}");
    }
}
(function(){
    if (app.selection.length == 0){
        alert("何か選択してから実行してください");
        return;
    }
    var saveObj = File.saveDialog("保存するファイル名を入力して下さい");
    if (!saveObj){ return; }    // キャンセルされたら何もしない
    var flag = saveObj.open("w");
    if (!flag){
        alert("ファイルに書き込めません");
        return;
    }
    writeCSS(app.selection, saveObj, "px");
    saveObj.close();
})();
